Tasks
Get Task Status
Fetches the execution status of a specific background task for the authenticated user.
GET
https://api.textreveal.com/v3/tasks/{task_id}/status
Request
Response
Error
Bad request
message*stringError message.
Example: "The server returned an unexpected response"code*integerError code.
Example: 400reason*string (enum)Error reason.
Values: "invalid", "timeout", "offline", "unknown", "not_found", "unauthorized", "forbidden", "internal", "too_many_requests"errorsobject[]Possible error causes, like query params, headers or body.
Response
{
"message": "The server returned an unexpected response",
"code": 400,
"reason": "invalid",
"errors": [
{
"message": "Expected number, received string",
"field": "size",
"reason": "invalid_type"
}
]
}Not authorized
message*stringExample: "Not authorized to access this resource"code*number (enum)Error code.
Values: 403reason*string (enum)Values: "forbidden"
Response
{
"message": "Not authorized to access this resource",
"code": 403,
"reason": "forbidden"
}Not found
message*stringExample: "[record] not found."code*number (enum)Error code.
Values: 404reason*string (enum)Values: "not_found"
Response
{
"message": "[record] not found.",
"code": 404,
"reason": "not_found"
}